@echo off

for /f "tokens=2* delims=>" %%i in (
'findstr /r "<em:version>[0-9]*\.[0-9]*\.[0-9]*</em:version>" install.rdf') do ^
for /f "tokens=1* delims=<" %%i in ("%%i") do set VERS=%%i

set XPI=github-wc-polyfill-seahoh-%VERS%.xpi
if exist %XPI% del %XPI%

call 7z a -tzip -mx=9 -mfb=258 -mtc=off %XPI% ^
content bootstrap.js chrome.manifest icon.png install.rdf 1>NUL

if ERRORLEVEL 1 echo Something is wrong, 7z RCODE: %ERRORLEVEL%
if not ERRORLEVEL 1 echo %XPI% has been created/updated

pause
